.\"     $NetBSD: tcom.4,v 1.6 2003/08/07 10:31:03 agc Exp $
.\"
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Eric S. Hvozda.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.\" Copyright (c) 1990, 1991 The Regents of the University of California.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dca.4	5.2 (Berkeley) 3/27/91
.\"	from: Id: com.4,v 1.1 1993/08/06 11:19:07 cgd Exp
.\"
.Dd May 20, 1998
.Dt TCOM 4
.Os
.Sh NAME
.Nm tcom
.Nd
multiplexing serial communications interface
.Sh SYNOPSIS
For 4-port TC-400 series boards:
.Pp
.Cd "tcom0 at isa? port 0x100 irq 5"
.Cd "com2 at tcom? slave ?"
.Cd "com3 at tcom? slave ?"
.Cd "com4 at tcom? slave ?"
.Cd "com5 at tcom? slave ?"
.Pp
For 8-port TC-800 series boards:
.Pp
.Cd "tcom0 at isa? port 0x100 irq 5"
.Cd "com2 at tcom? slave ?"
.Cd "com3 at tcom? slave ?"
.Cd "com4 at tcom? slave ?"
.Cd "com5 at tcom? slave ?"
.Cd "com6 at tcom? slave ?"
.Cd "com7 at tcom? slave ?"
.Cd "com8 at tcom? slave ?"
.Cd "com9 at tcom? slave ?"
.Sh DESCRIPTION
The
.Nm tcom
driver provides support for the Byte Runner Technologies TC-400
and TC-800 series boards that multiplex together up to four or eight
.Tn EIA
.Tn RS-232C
.Pf ( Tn CCITT
.Tn V.28 )
communications interfaces.
.Pp
Each
.Nm
device is the master device for up to eight
.Nm com
devices.  The kernel configuration specifies these
.Nm com
devices as slave devices of the
.Nm
device, as shown in the synopsis.  The slave ID given for each
.Nm com
device determines which bit in the interrupt multiplexing register is
tested to find interrupts for that device.
The
.Tn port
specification for the
.Nm
device is used to compute the base addresses for the
.Nm com
subdevices and the port for the interrupt multiplexing register.
.Pp
Not all possible configuration options are currently supported (for
example, speeds beyond 115200 baud are not currently supported).
.Sh FILES
.Bl -tag -width Pa
.It Pa /dev/tty??
.El
.Sh SEE ALSO
.Xr com 4
.Sh HISTORY
The
.Nm
driver was written by Jukka Marin.
